Index: trunk/libIGCM/AA_SE_Checker
===================================================================
--- trunk/libIGCM/AA_SE_Checker	(revision 386)
+++ trunk/libIGCM/AA_SE_Checker	(revision 387)
@@ -1,115 +1,3 @@
 #!/bin/ksh
-#-Q- cesium #!/bin/ksh
-#-Q- cesium ######################
-#-Q- cesium ## CESIUM   CEA ##
-#-Q- cesium ######################
-#-Q- cesium #MSUB -r SE_Checker             # Nom du job                
-#-Q- cesium #MSUB -N 1              # Reservation du noeud
-#-Q- cesium #MSUB -n 1              # Reservation du processus
-#-Q- cesium #MSUB -T 86400          # Limite de temps elapsed du job
-#-Q- cesium #MSUB -E "-j o"
-#-Q- cesium #MSUB -E "-S /bin/ksh"
-#-Q- platine #!/usr/bin/ksh
-#-Q- platine ###################
-#-Q- platine ## PLATINE   CEA ##
-#-Q- platine ###################
-#-Q- platine #BSUB -J SE_Checker                     # Nom du job
-#-Q- platine #BSUB -N                        # message a la fin du job
-#-Q- platine #BSUB -n 1                      # reservation des processeurs pour le job
-#-Q- platine #BSUB -W 1:00                   # Limite temps
-#-Q- platine #BSUB -q post                   # Passage en queue post
-#-Q- sx8brodie #!/bin/ksh
-#-Q- sx8brodie #######################
-#-Q- sx8brodie ## SX8BRODIE   IDRIS ##
-#-Q- sx8brodie #######################
-#-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 20:00:00
-#-Q- sx8brodie # Nom du travail LoadLeveler
-#-Q- sx8brodie # @ job_name   = SE_Checker
-#-Q- sx8brodie # Fichier de sortie standard du travail       
-#-Q- sx8brodie # @ output     = $(job_name).$(jobid)
-#-Q- sx8brodie # Fichier de sortie d'erreur du travail
-#-Q- sx8brodie # @ error      =  $(job_name).$(jobid)
-#-Q- sx8brodie # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
-#-Q- sx8brodie # @ notification = error
-#-Q- sx8brodie # @ environment  = $DEBUG_debug ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $RebuildFromArchive ; $POST_DIR ; $MASTER ; $RebuildFrequency ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $CompletedFlag ; $TsTask ; $CompToRead ; $FlagToRead ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $MASTER
-#-Q- sx8brodie # @ queue
-#-Q- aix6 #!/bin/ksh
-#-Q- aix6 #######################
-#-Q- aix6 ##   VARGAS   IDRIS  ##
-#-Q- aix6 #######################
-#-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 20:00:00
-#-Q- aix6 # Nom du travail LoadLeveler
-#-Q- aix6 # @ job_name   = SE_Checker
-#-Q- aix6 # Fichier de sortie standard du travail
-#-Q- aix6 # @ output     = $(job_name).$(jobid)
-#-Q- aix6 # Fichier de sortie d'erreur du travail
-#-Q- aix6 # @ error      =  $(job_name).$(jobid)
-#-Q- aix6 # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
-#-Q- aix6 # @ notification = error
-#-Q- aix6 # @ environment  = $DEBUG_debug ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $RebuildFromArchive ; $POST_DIR ; $MASTER ; $RebuildFrequency ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $CompletedFlag ; $TsTask ; $CompToRead ; $FlagToRead ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $MASTER
-#-Q- aix6 # @ queue
-#-Q- ulam #!/bin/ksh
-#-Q- ulam #######################
-#-Q- ulam ##   ULAM   IDRIS  ##
-#-Q- ulam #######################
-#-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 20:00:00
-#-Q- ulam # Nom du travail LoadLeveler
-#-Q- ulam # @ job_name   = SE_Checker
-#-Q- ulam # Fichier de sortie standard du travail
-#-Q- ulam # @ output     = $(job_name).$(jobid)
-#-Q- ulam # Fichier de sortie d'erreur du travail
-#-Q- ulam # @ error      =  $(job_name).$(jobid)
-#-Q- ulam # pour recevoir un mail en cas de depassement du temps Elapsed (ou autre pb.)
-#-Q- ulam # @ notification = error
-#-Q- ulam # @ environment  = $DEBUG_debug ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $RebuildFromArchive ; $POST_DIR ; $MASTER ; $RebuildFrequency ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $CompletedFlag ; $TsTask ; $CompToRead ; $FlagToRead ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $MASTER
-#-Q- ulam # @ queue
-#-Q- sx8mercure #!/bin/ksh
-#-Q- sx8mercure ######################
-#-Q- sx8mercure ## SX8MERCURE   CEA ##
-#-Q- sx8mercure ######################
-#-Q- sx8mercure #PBS -N SE_Checker                   # Nom du job
-#-Q- sx8mercure #PBS -j o                    # regroupement des stdout et stderr
-#-Q- sx8mercure #PBS -S /usr/bin/ksh         # shell de soumission
-#-Q- sx8mercure #PBS -l memsz_job=1gb        # Limite memoire a 1 Go
-#-Q- sx8mercure #PBS -l cputim_job=24:00:00   # Limite temps a 2 heures
-#-Q- sx8mercure #PBS -q scalaire
-#-Q- sx9mercure #!/bin/ksh
-#-Q- sx9mercure #########################
-#-Q- sx9mercure ## CESIUM FOR SX9  CEA ##
-#-Q- sx9mercure #########################
-#-Q- sx9mercure #MSUB -r SE_Checker             # Nom du job                
-#-Q- sx9mercure #MSUB -N 1              # Reservation du noeud
-#-Q- sx9mercure #MSUB -n 1              # Reservation du processus
-#-Q- sx9mercure #MSUB -T 86400          # Limite de temps elapsed du job
-#-Q- sx9mercure #MSUB -E "-j o"
-#-Q- sx9mercure #MSUB -E "-S /bin/ksh"
-#-Q- titane #!/bin/ksh
-#-Q- titane ######################
-#-Q- titane ## TITANE   CEA ##
-#-Q- titane ######################
-#-Q- titane #MSUB -r SE_Checker             # Nom du job                
-#-Q- titane #MSUB -N 1              # Reservation du noeud
-#-Q- titane #MSUB -n 1              # Reservation du processus
-#-Q- titane #MSUB -T 86400          # Limite de temps elapsed du job
-#-Q- titane #MSUB -E "-j o"
-#-Q- titane #MSUB -E "-S /bin/ksh"
-#-Q- titane ##MSUB -e nco.out        # Sortie standard
-#-Q- titane ##MSUB -o nco.out        # Sortie standard
-#-Q- lxiv8 ######################
-#-Q- lxiv8 ## OBELIX      LSCE ##
-#-Q- lxiv8 ######################
-#-Q- lxiv8 #PBS -N SE_Checker
-#-Q- lxiv8 #PBS -m a
-#-Q- lxiv8 #PBS -j oe
-#-Q- lxiv8 #PBS -q medium
-#-Q- lxiv8 #PBS -o SE_Checker.$$
-#-Q- lxiv8 #PBS -S /bin/ksh
-#-Q- default #!/bin/ksh
-#-Q- default ##################
-#-Q- default ## DEFAULT HOST ##
-#-Q- default ##################
 
 #**************************************************************
@@ -126,5 +14,5 @@
 #**************************************************************
 
-# Check that everything went well during time series production
+# Check that everything went well during seasonal average production
 # Display a short report
 # Launch what's missing
@@ -132,5 +20,4 @@
 # all TS to last PeriodDateEnd value, give by run.card->Configuration->OldPrefix string.
 
-
 # Chemin vers libIGCM
 libIGCM=${libIGCM:=::modipsl::/libIGCM}
@@ -155,5 +42,4 @@
 # rÃ©pertoire de stockage des sorties des create_ts
 POST_DIR=${POST_DIR:=${CARD_DIR}/OutScript}
-
 
 if [ ! -d ${CARD_DIR} ]; then
@@ -304,6 +190,6 @@
 		fi
 		(( i=i+3 )) # to explore file list
-	    done # until [ $i -eq $NbFiles ]
-	fi   # [ X${FileName0} != X${NULL_STR} ] 
+	    done            # until [ $i -eq $NbFiles ]
+	fi                  # [ X${FileName0} != X${NULL_STR} ] 
 	
 	[ $localcountBad = 0 ] || IGCM_debug_Print 1 "$localcountBad file(s) missing for ${comp} : " $( eval echo \${LISTE_FILE_${comp}_${an_deb}[*]} )
@@ -330,4 +216,5 @@
         IGCM_sys_MkdirWork ${POST_DIR}
         IGCM_debug_Verif_Exit
+	Script_Post_Output=create_se.${PeriodDateEnd}
         IGCM_sys_QsubPost create_se
 
@@ -339,3 +226,2 @@
     
 done # while
-