Index: tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_cesium.ksh
===================================================================
--- tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 400)
+++ tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 405)
@@ -680,5 +680,5 @@
 	IGCM_debug_Exit "IGCM_sys_Cp"
      else
-	 rm out_rsync
+	 \rm out_rsync
     fi
     IGCM_debug_PopStack "IGCM_sys_Cp"
@@ -707,5 +707,5 @@
 	IGCM_debug_Exit "IGCM_sys_Rm"
     else
-	rm out_rsync
+	\rm out_rsync
     fi
     IGCM_debug_PopStack "IGCM_sys_Rm"
@@ -735,5 +735,5 @@
 	IGCM_debug_Exit "IGCM_sys_RmRunDir"
     else
-	rm out_rsync
+	\rm out_rsync
     fi
 
@@ -765,5 +765,5 @@
             IGCM_debug_Exit "IGCM_sys_Mv"
 	else
-	    rm out_rsync
+	    \rm out_rsync
         fi
     else
@@ -805,5 +805,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Put_Dir"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -846,5 +846,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Get_Dir"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -901,5 +901,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Get_Master"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -957,5 +957,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Put_Rest"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -1033,5 +1033,5 @@
 		IGCM_debug_Exit "IGCM_sys_Put_Out"
 	    else
-		rm out_rsync
+		\rm out_rsync
 	    fi
 	fi
@@ -1150,5 +1150,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Get"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
Index: tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_default.ksh	(revision 400)
+++ tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_default.ksh	(revision 405)
@@ -660,5 +660,5 @@
 # 	IGCM_debug_Exit "IGCM_sys_Cp"
      else
-	 rm out_rsync
+	 \rm out_rsync
     fi
     IGCM_debug_PopStack "IGCM_sys_Cp"
@@ -687,5 +687,5 @@
 	IGCM_debug_Exit "IGCM_sys_Rm"
     else
-	rm out_rsync
+	\rm out_rsync
     fi
     IGCM_debug_PopStack "IGCM_sys_Rm"
@@ -732,5 +732,5 @@
             IGCM_debug_Exit "IGCM_sys_Mv"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -772,5 +772,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Put_Dir"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -808,5 +808,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Get_Dir"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -845,5 +845,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Get_Master"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -891,5 +891,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Put_Rest"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -942,5 +942,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Put_Out"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -1001,5 +1001,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Get"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
Index: tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_mercure.ksh
===================================================================
--- tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 400)
+++ tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 405)
@@ -592,5 +592,5 @@
 	IGCM_debug_Exit "IGCM_sys_Cp"
      else
-	 rm out_rsync
+	 \rm out_rsync
     fi
     IGCM_debug_PopStack "IGCM_sys_Cp"
@@ -619,5 +619,5 @@
 	IGCM_debug_Exit "IGCM_sys_Rm"
     else
-	rm out_rsync
+	\rm out_rsync
     fi
     IGCM_debug_PopStack "IGCM_sys_Rm"
@@ -663,5 +663,5 @@
             IGCM_debug_Exit "IGCM_sys_Mv"
 	else
-	    rm out_rsync
+	    \rm out_rsync
         fi
     else
@@ -703,5 +703,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Put_Dir"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -744,5 +744,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Get_Dir"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -781,5 +781,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Get_Master"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -843,5 +843,5 @@
 		IGCM_debug_Exit "IGCM_sys_Put_Out"
 	    else
-		rm out_rsync
+		\rm out_rsync
 	    fi
 	fi
@@ -959,5 +959,5 @@
 #	    IGCM_debug_Exit "IGCM_sys_Get"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
Index: tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_mercurex8.ksh
===================================================================
--- tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_mercurex8.ksh	(revision 400)
+++ tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_mercurex8.ksh	(revision 405)
@@ -711,5 +711,5 @@
 	IGCM_debug_Exit "IGCM_sys_Cp"
      else
-	 rm out_rsync
+	 \rm out_rsync
     fi
     IGCM_debug_PopStack "IGCM_sys_Cp"
@@ -738,5 +738,5 @@
 	IGCM_debug_Exit "IGCM_sys_Rm"
     else
-	rm out_rsync
+	\rm out_rsync
     fi
     IGCM_debug_PopStack "IGCM_sys_Rm"
@@ -767,5 +767,5 @@
             IGCM_debug_Exit "IGCM_sys_Mv"
 	else
-	    rm out_rsync
+	    \rm out_rsync
         fi
     else
@@ -807,5 +807,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Put_Dir"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -846,5 +846,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Get_Dir"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -902,5 +902,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Put_Rest"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -974,5 +974,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Put_Out"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -1071,5 +1071,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Get"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
Index: tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_mercurex9.ksh
===================================================================
--- tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 400)
+++ tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 405)
@@ -724,5 +724,5 @@
 	IGCM_debug_Exit "IGCM_sys_Cp"
      else
-	 rm out_rsync
+	 \rm out_rsync
     fi
     IGCM_debug_PopStack "IGCM_sys_Cp"
@@ -751,5 +751,5 @@
 	IGCM_debug_Exit "IGCM_sys_Rm"
     else
-	rm out_rsync
+	\rm out_rsync
     fi
     IGCM_debug_PopStack "IGCM_sys_Rm"
@@ -780,5 +780,5 @@
             IGCM_debug_Exit "IGCM_sys_Mv"
 	else
-	    rm out_rsync
+	    \rm out_rsync
         fi
     else
@@ -820,5 +820,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Put_Dir"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -859,5 +859,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Get_Dir"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -915,5 +915,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Put_Rest"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -987,5 +987,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Put_Out"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -1084,5 +1084,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Get"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
Index: tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_platine.ksh
===================================================================
--- tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 400)
+++ tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 405)
@@ -663,5 +663,5 @@
 	IGCM_debug_Exit "IGCM_sys_Cp"
      else
-	 rm out_rsync
+	 \rm out_rsync
     fi
     IGCM_debug_PopStack "IGCM_sys_Cp"
@@ -690,5 +690,5 @@
 	IGCM_debug_Exit "IGCM_sys_Rm"
     else
-	rm out_rsync
+	\rm out_rsync
     fi
     IGCM_debug_PopStack "IGCM_sys_Rm"
@@ -734,5 +734,5 @@
             IGCM_debug_Exit "IGCM_sys_Mv"
 	else
-	    rm out_rsync
+	    \rm out_rsync
         fi
     else
@@ -774,5 +774,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Put_Dir"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -813,5 +813,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Get_Dir"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -904,5 +904,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Put_Rest"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -962,5 +962,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Put_Out"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -1062,5 +1062,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Get"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
Index: tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_titane.ksh
===================================================================
--- tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 400)
+++ tags/libIGCM_v1_10/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 405)
@@ -732,5 +732,5 @@
 	IGCM_debug_Exit "IGCM_sys_Cp"
      else
-	 rm out_rsync
+	 \rm out_rsync
     fi
     IGCM_debug_PopStack "IGCM_sys_Cp"
@@ -759,5 +759,5 @@
 	IGCM_debug_Exit "IGCM_sys_Rm"
     else
-	rm out_rsync
+	\rm out_rsync
     fi
     IGCM_debug_PopStack "IGCM_sys_Rm"
@@ -788,5 +788,5 @@
             IGCM_debug_Exit "IGCM_sys_Mv"
 	else
-	    rm out_rsync
+	    \rm out_rsync
         fi
     else
@@ -828,5 +828,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Put_Dir"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -867,5 +867,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Get_Dir"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -958,5 +958,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Put_Rest"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -1030,5 +1030,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Put_Out"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else
@@ -1127,5 +1127,5 @@
 	    IGCM_debug_Exit "IGCM_sys_Get"
 	else
-	    rm out_rsync
+	    \rm out_rsync
 	fi
     else