Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 433)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_brodie.ksh	(revision 434)
@@ -189,5 +189,5 @@
   Job started : ${DateBegin}
   Job ended   : ${DateEnd}
-  Ouput files are available in ${R_SAVE}
+  Output files are available in ${R_SAVE}
   Script files and Script Outputs are available in ${SUBMIT_DIR}
 END_MAIL
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 433)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 434)
@@ -243,5 +243,5 @@
   Job started : ${DateBegin}
   Job ended   : ${DateEnd}
-  Ouput files are available in ${R_SAVE}
+  Output files are available in ${R_SAVE}
   Script files and Script Outputs are available in ${SUBMIT_DIR}
 END_MAIL
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 433)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 434)
@@ -220,5 +220,5 @@
   Job started : ${DateBegin}
   Job ended   : ${DateEnd}
-  Ouput files are available in ${R_SAVE}
+  Output files are available in ${R_SAVE}
   Script files and Script Outputs are available in ${SUBMIT_DIR}
 END_MAIL
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex8.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex8.ksh	(revision 433)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex8.ksh	(revision 434)
@@ -243,5 +243,5 @@
   Job started : ${DateBegin}
   Job ended   : ${DateEnd}
-  Ouput files are available in ${R_SAVE}
+  Output files are available in ${R_SAVE}
   Script files and Script Outputs are available in ${SUBMIT_DIR}
 END_MAIL
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 433)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 434)
@@ -242,5 +242,5 @@
   Job started : ${DateBegin}
   Job ended   : ${DateEnd}
-  Ouput files are available in ${R_SAVE}
+  Output files are available in ${R_SAVE}
   Script files and Script Outputs are available in ${SUBMIT_DIR}
 END_MAIL
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 433)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 434)
@@ -236,5 +236,5 @@
   Job started : ${DateBegin}
   Job ended   : ${DateEnd}
-  Ouput files are available in ${R_SAVE}
+  Output files are available in ${R_SAVE}
   Script files and Script Outputs are available in ${SUBMIT_DIR}
 END_MAIL
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 433)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_platine.ksh	(revision 434)
@@ -230,5 +230,5 @@
   Job started : ${DateBegin}
   Job ended   : ${DateEnd}
-  Ouput files are available in ${R_SAVE}
+  Output files are available in ${R_SAVE}
   Script files and Script Outputs are available in ${SUBMIT_DIR}
 END_MAIL
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 433)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 434)
@@ -267,5 +267,5 @@
   Job started : ${DateBegin}
   Job ended   : ${DateEnd}
-  Ouput files are available in ${R_SAVE}
+  Output files are available in ${R_SAVE}
   Script files and Script Outputs are available in ${SUBMIT_DIR}
 END_MAIL
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh	(revision 433)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh	(revision 434)
@@ -189,5 +189,5 @@
   Job started : ${DateBegin}
   Job ended   : ${DateEnd}
-  Ouput files are available in ${R_SAVE}
+  Output files are available in ${R_SAVE}
   Script files and Script Outputs are available in ${SUBMIT_DIR}
 END_MAIL