Index: /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 454)
+++ /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 455)
@@ -331,6 +331,9 @@
 	echo
 	# modulo (RebuildFrequency and PeriodLength/TimeSeriesFrequency/SeasonalFrequency) must be zero
+	IGCM_debug_Print 1 "Coherence between RebuildFrequency and PeriodLength:"
 	IGCM_post_CheckModuloFrequency config_Post_RebuildFrequency config_UserChoices_PeriodLength
+	IGCM_debug_Print 1 "Coherence between TimeSeriesFrequency and RebuildFrequency:"
 	IGCM_post_CheckModuloFrequency config_Post_TimeSeriesFrequency config_Post_RebuildFrequency
+	IGCM_debug_Print 1 "Coherence between SeasonalFrequency and RebuildFrequency:"
 	IGCM_post_CheckModuloFrequency config_Post_SeasonalFrequency config_Post_RebuildFrequency
     else
@@ -340,5 +343,7 @@
 	echo
 	#modulo (TimeSeriesFrequency/SeasonalFrequency and PeriodLenght) must be zero
+	IGCM_debug_Print 1 "Coherence between TimeSeriesFrequency and PeriodLength:"
 	IGCM_post_CheckModuloFrequency config_Post_TimeSeriesFrequency config_UserChoices_PeriodLength
+	IGCM_debug_Print 1 "Coherence between SeasonalFrequency and PeriodLength:"
 	IGCM_post_CheckModuloFrequency config_Post_SeasonalFrequency   config_UserChoices_PeriodLength
     fi
@@ -349,4 +354,5 @@
     until [ $i -ge $NbJob ]; do
 	value=${CHUNCK2D_SIZE[${i}]}
+	IGCM_debug_Print 1 "Coherence between All Chunck2D frequency and TimeSeriesFrequency:"
 	IGCM_post_CheckModuloFrequency value config_Post_TimeSeriesFrequency
 	case ${value} in  
@@ -363,4 +369,5 @@
     until [ $i -ge $NbJob ]; do
 	value=${CHUNCK3D_SIZE[${i}]}
+	IGCM_debug_Print 1 "Coherence between All Chunck3D frequency and TimeSeriesFrequency:"
 	IGCM_post_CheckModuloFrequency value config_Post_TimeSeriesFrequency
 	case ${value} in  
Index: /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 454)
+++ /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 455)
@@ -144,4 +144,7 @@
 	            #
 		    if [ -f ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh ] ; then
+			if [ X${MASTER} = Xtitane ] ; then
+			    echo "IGCM_sys_RshPost <<-EOF"                     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+			fi
 			echo "export DEBUG_debug=${DEBUG_debug}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 			echo "export MODIPSL=${MODIPSL}                      " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
@@ -167,7 +170,14 @@
 			echo "export listVarEnv=${listVarEnv}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 			echo "export Script_Post_Output=${Script_Post_Output}" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+			if [ X${MASTER} = Xtitane ] ; then
+			    echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+			    echo ". ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh"     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+			fi
 			echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 			echo "IGCM_debug_Verif_Exit_Post                     " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 			echo "IGCM_sys_QsubPost create_ts                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+			if [ X${MASTER} = Xtitane ] ; then
+			    echo "EOF"                                         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+			fi
 		    fi
 	            #
@@ -244,4 +254,7 @@
 	                #
 			if [ -f ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh ] ; then
+			    if [ X${MASTER} = Xtitane ] ; then
+				echo "IGCM_sys_RshPost <<-EOF"                     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+			    fi
 			    echo "export DEBUG_debug=${DEBUG_debug}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 			    echo "export MODIPSL=${MODIPSL}                      " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
@@ -267,7 +280,14 @@
 			    echo "export listVarEnv=${listVarEnv}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 			    echo "export Script_Post_Output=${Script_Post_Output}" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+			    if [ X${MASTER} = Xtitane ] ; then
+				echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+				echo ". ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh"     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+			    fi
 			    echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 			    echo "IGCM_debug_Verif_Exit_Post                     " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 			    echo "IGCM_sys_QsubPost create_ts                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+			    if [ X${MASTER} = Xtitane ] ; then
+				echo "EOF"                                         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+			    fi
 			fi
 	                #
@@ -330,5 +350,8 @@
 	    #
 	    if [ -f ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh ] ; then
-	    #
+	        #
+		if [ X${MASTER} = Xtitane ] ; then
+		    echo "IGCM_sys_RshPost <<-EOF"                     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+		fi
 		echo "export DEBUG_debug=${DEBUG_debug}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 		echo "export MODIPSL=${MODIPSL}                      " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
@@ -350,8 +373,15 @@
 		echo "export listVarEnv=${listVarEnv}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 		echo "export Script_Post_Output=${Script_Post_Output}" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+		if [ X${MASTER} = Xtitane ] ; then
+		    echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+		    echo ". ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh"     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+		fi
 		echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 		echo "IGCM_debug_Verif_Exit_Post                     " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 		echo "IGCM_sys_QsubPost create_se                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-	    #
+		if [ X${MASTER} = Xtitane ] ; then
+		    echo "EOF"                                         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+		fi
+	        #
 	    fi
 	else
@@ -475,7 +505,5 @@
     SlaveFrequency=$( eval echo \${${2}} )
 
-    echo
     IGCM_debug_Print 1 "IGCM_post_CheckModuloFrequency : Master=${MasterFrequency} Slave=${SlaveFrequency}"
-    echo
 
     case ${MasterFrequency} in
@@ -512,6 +540,6 @@
 			IGCM_debug_Print 3 "For ${MasterName} with leap calendar:"
 			IGCM_debug_Print 3 "We have a daily ${SlaveName} frequency and ${MasterName}=${MasterFrequency}"
-			IGCM_debug_Print 3 "No post-treatment. Case not properly handle at this moment."
-			IGCM_debug_Exit "Check your frequency"
+			IGCM_debug_Print 3 "No post-treatment. Case not properly handle at this moment by libIGCM. Sorry"
+			IGCM_debug_Exit    "Check your frequency ${MasterName} and choose a daily frequency for this one too."
                     fi ;;
 	    esac ;;
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 454)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 455)
@@ -251,5 +251,5 @@
 	i=0
 	while [ $i -ne $NB_ESSAI ] ; do
-            ssh -t ${MASTER} ssh cesium /bin/ksh <tmp_IGCM_sys_RshPost_$$
+            ssh -t titane996 ssh cesium /bin/ksh <tmp_IGCM_sys_RshPost_$$
             status=$?
             if [ ${status} -ne 0 ];
@@ -291,5 +291,5 @@
     fi
 
-    ssh -t ${MASTER} ssh platine /bin/ksh <<-EOF
+    ssh -t titane996 ssh platine /bin/ksh <<-EOF
     export LOGIN=${LOGIN}
     export config_UserChoices_JobName=${config_UserChoices_JobName}