Index: tags/libIGCM_v1_11/AA_additionnal
===================================================================
--- tags/libIGCM_v1_11/AA_additionnal	(revision 488)
+++ tags/libIGCM_v1_11/AA_additionnal	(revision 503)
@@ -25,5 +25,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 1:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = ATL_ADD
@@ -41,5 +41,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 10:00:00
+#-Q- aix6 # @ wall_clock_limit = 1:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = ATL_ADD
@@ -57,5 +57,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 10:00:00
+#-Q- ulam # @ wall_clock_limit = 1:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = ATL_ADD
Index: tags/libIGCM_v1_11/AA_atlas_LMDZ
===================================================================
--- tags/libIGCM_v1_11/AA_atlas_LMDZ	(revision 488)
+++ tags/libIGCM_v1_11/AA_atlas_LMDZ	(revision 503)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 1:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = ATL_LMDZ
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 10:00:00
+#-Q- aix6 # @ wall_clock_limit = 1:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = ATL_LMDZ
@@ -56,5 +56,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 10:00:00
+#-Q- ulam # @ wall_clock_limit = 1:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = ATL_LMDZ
Index: tags/libIGCM_v1_11/AA_atlas_ORCA_LIM
===================================================================
--- tags/libIGCM_v1_11/AA_atlas_ORCA_LIM	(revision 488)
+++ tags/libIGCM_v1_11/AA_atlas_ORCA_LIM	(revision 503)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 1:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = ATL_OPA
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 10:00:00
+#-Q- aix6 # @ wall_clock_limit = 1:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = ATL_OPA
@@ -56,5 +56,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 10:00:00
+#-Q- ulam # @ wall_clock_limit = 1:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = ATL_OPA
Index: tags/libIGCM_v1_11/AA_atlas_ORCHIDEE
===================================================================
--- tags/libIGCM_v1_11/AA_atlas_ORCHIDEE	(revision 488)
+++ tags/libIGCM_v1_11/AA_atlas_ORCHIDEE	(revision 503)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 1:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = ATL_ORCH
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 10:00:00
+#-Q- aix6 # @ wall_clock_limit = 1:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = ATL_ORCH
@@ -56,5 +56,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 10:00:00
+#-Q- ulam # @ wall_clock_limit = 1:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = ATL_ORCH
Index: tags/libIGCM_v1_11/AA_atlas_PISCES
===================================================================
--- tags/libIGCM_v1_11/AA_atlas_PISCES	(revision 488)
+++ tags/libIGCM_v1_11/AA_atlas_PISCES	(revision 503)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 1:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = ATL_PIS
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 10:00:00
+#-Q- aix6 # @ wall_clock_limit = 1:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = ATL_PIS
@@ -56,5 +56,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 10:00:00
+#-Q- ulam # @ wall_clock_limit = 1:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = ATL_PIS
Index: tags/libIGCM_v1_11/AA_create_multi_se
===================================================================
--- tags/libIGCM_v1_11/AA_create_multi_se	(revision 488)
+++ tags/libIGCM_v1_11/AA_create_multi_se	(revision 503)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 20:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 1:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = MULTISE
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 20:00:00
+#-Q- aix6 # @ wall_clock_limit = 1:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = MULTISE
@@ -56,5 +56,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 20:00:00
+#-Q- ulam # @ wall_clock_limit = 1:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = MULTISE
Index: tags/libIGCM_v1_11/AA_create_se
===================================================================
--- tags/libIGCM_v1_11/AA_create_se	(revision 488)
+++ tags/libIGCM_v1_11/AA_create_se	(revision 503)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 20:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = SE
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 20:00:00
+#-Q- aix6 # @ wall_clock_limit = 10:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = SE
@@ -56,5 +56,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 20:00:00
+#-Q- ulam # @ wall_clock_limit = 10:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = SE
Index: tags/libIGCM_v1_11/AA_monitoring
===================================================================
--- tags/libIGCM_v1_11/AA_monitoring	(revision 488)
+++ tags/libIGCM_v1_11/AA_monitoring	(revision 503)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 20:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 1:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = MONITORING
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 20:00:00
+#-Q- aix6 # @ wall_clock_limit = 1:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = MONITORING
@@ -56,5 +56,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 20:00:00
+#-Q- ulam # @ wall_clock_limit = 1:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = MONITORING
Index: tags/libIGCM_v1_11/AA_rebuild_fromArchive
===================================================================
--- tags/libIGCM_v1_11/AA_rebuild_fromArchive	(revision 488)
+++ tags/libIGCM_v1_11/AA_rebuild_fromArchive	(revision 503)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 20:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = REBUILDARCH
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 20:00:00
+#-Q- aix6 # @ wall_clock_limit = 10:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = REBUILDARCH
@@ -56,5 +56,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 20:00:00
+#-Q- ulam # @ wall_clock_limit = 10:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = REBUILDARCH
Index: tags/libIGCM_v1_11/AA_rebuild_fromWorkdir
===================================================================
--- tags/libIGCM_v1_11/AA_rebuild_fromWorkdir	(revision 488)
+++ tags/libIGCM_v1_11/AA_rebuild_fromWorkdir	(revision 503)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 20:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = REBUILDWRK
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 20:00:00
+#-Q- aix6 # @ wall_clock_limit = 10:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = REBUILDWRK
@@ -56,5 +56,5 @@
 #-Q- ulam #######################
 #-Q- ulam # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- ulam # @ wall_clock_limit = 20:00:00
+#-Q- ulam # @ wall_clock_limit = 10:00:00
 #-Q- ulam # Nom du travail LoadLeveler
 #-Q- ulam # @ job_name   = REBUILDWRK
Index: tags/libIGCM_v1_11/libIGCM_sys/libIGCM_sys_ulam.ksh
===================================================================
--- tags/libIGCM_v1_11/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 488)
+++ tags/libIGCM_v1_11/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 503)
@@ -122,5 +122,5 @@
 #====================================================
 #- Max number of arguments passed to nco operator or demigration command
-UNIX_MAX_LIMIT=12
+UNIX_MAX_LIMIT=120
 
 #D-#==================================================